<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>In summary</h1>

<ul>
<li> Loop mounts &mdash; limited to files.
<li> Loop mounts with NBD and nbdkit &mdash; infinitely flexible.
<li> Lots of plugins, or write your own.
<li> Filesystem development and testing.
<li> Bridge between proprietary disk storage/hypervisors, and
the free world.
<li> <span class="warning">⚠</span> Dangerous with untrusted disks &mdash; use libguestfs instead.
</ul>

<h2>Get it</h2>

<ul>
<li> nbdkit &ge; 1.8.3 available in major Linux distros.
<li> nbd client &ge; 3.18 and kernel &ge; 4.18 recommended.
<li> FreeBSD, OpenBSD, Haiku also supported as a server <small>(but
those don't have kernel loop clients)</small>.
<li> <a href="https://github.com/libguestfs/nbdkit">https://github.com/libguestfs/nbdkit</a>
<li> This talk: <a href="http://git.annexia.org/?p=libguestfs-talks.git">http://git.annexia.org/?p=libguestfs-talks.git</a>
<li> Presentation software: Tech Talk PSE 1.2
</ul>

<h2>Any Questions?</h2>
